> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/commerce-openapis/data-warehouse/payments.md).

# Payments

## GET /payments/pos/

> This method returns details about a specific POS option, including its ID, name, slug, associated payment gateway, and resource URL. It may also include a URL for 3D secure processing, if applicable

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"PaginatedPosList":{"properties":{"count":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"next":{"description":"This field defines the URL of the next page.","format":"uri","nullable":true,"type":"string"},"previous":{"description":"This field defines the URL of the previous page.","format":"uri","nullable":true,"type":"string"},"results":{"description":"This field returns a list of results.","items":{"$ref":"#/components/schemas/Pos"},"type":"array"}},"type":"object"},"Pos":{"properties":{"gateway":{"$ref":"#/components/schemas/GatewayEnum","description":"The field defines which payment gateway the POS will use."},"id":{"description":"Unique identifier for the record.","type":"integer"},"name":{"description":"The full name or label associated with the record.","maxLength":64,"type":"string"},"resource_url":{"description":"The field defines the URL of the resources associated with the POS.","format":"uri","maxLength":200,"type":"string"},"slug":{"description":"The field defines the slug of the shipping option.","maxLength":64,"pattern":"^[-a-zA-Z0-9_]+$","type":"string"},"three_d_resource_url":{"description":"The field defines the URL for the 3D secure resources of the POS.","format":"uri","maxLength":200,"nullable":true,"type":"string"}},"type":"object"},"GatewayEnum":{"description":"* `omnicore.libs.payment_gateways.garanti.GarantiGateway` - garanti\n* `omnicore.libs.payment_gateways.nestpay.NestpayGateway` - nestpay\n* `omnicore.libs.payment_gateways.cmi.CMIGateway` - cmi\n* `omnicore.libs.payment_gateways.posnet.PosnetGateway` - posnet\n* `omnicore.libs.payment_gateways.payu.PayUGateway` - payu\n* `omnicore.libs.payment_gateways.mastercard.MastercardGateway` - mastercard\n* `omnicore.libs.payment_gateways.masterpass.MasterpassGateway` - masterpass\n* `omnicore.libs.payment_gateways.bex.BexGateway` - bex\n* `omnicore.libs.payment_gateways.hyper_pay.HyperpayGateway` - hyperpay\n* `omnicore.libs.payment_gateways.paymentsos.PayUPolandGateway` - payu_poland\n* `omnicore.libs.payment_gateways.paymentsos.PayURomaniaGateway` - payu_romania\n* `omnicore.libs.payment_gateways.payu_ro.PayuRoGateway` - payu_ro\n* `omnicore.libs.payment_gateways.fastpay.FastPayGateway` - fastpay\n* `omnicore.libs.payment_gateways.maximumpay.MaximumPayGateway` - maximumpay\n* `omnicore.libs.payment_gateways.liqpay.LiqPayGateway` - liqpay\n* `omnicore.libs.payment_gateways.gpay.GPayGateway` - gpay\n* `omnicore.libs.payment_gateways.easypay.EasyPayGateway` - easypay\n* `omnicore.libs.payment_gateways.mobilexpress.MobilExpressGateway` - mobilexpress\n* `omnicore.libs.payment_gateways.mobilexpress.MobilExpressCreditCardGateway` - mobilexpress_credit_card\n* `omnicore.libs.payment_gateways.iyzico.IyzicoGateway` - iyzico\n* `omnicore.libs.payment_gateways.iyzico.IyzicoBKMGateway` - iyzico_bkm\n* `omnicore.libs.payment_gateways.finansbank.FinansBankGateway` - finansbank\n* `omnicore.libs.payment_gateways.denizbank.DenizBankGateway` - denizbank\n* `omnicore.libs.payment_gateways.yandex_money.YandexMoneyGateway` - yandex_money\n* `omnicore.libs.payment_gateways.paypal.PaypalGateway` - paypal\n* `omnicore.libs.payment_gateways.alpha.AlphaGateway` - alpha\n* `omnicore.libs.payment_gateways.dummypay.DummyPayGateway` - dummypay\n* `omnicore.libs.payment_gateways.ykb_credit.YKBCreditGateway` - ykb_credit\n* `omnicore.libs.payment_gateways.compay.ComPayGateway` - compay\n* `omnicore.libs.payment_gateways.compay.ComPayCreditGateway` - compay_credit\n* `omnicore.libs.payment_gateways.param.ParamGateway` - param\n* `omnicore.libs.payment_gateways.garanti_switch.GarantiSwitchGateway` - garanti_switch\n* `omnicore.libs.payment_gateways.iyzico.PayWithIyzicoGateway` - pay_with_iyzico\n* `omnicore.libs.payment_gateways.tompay.TomPayGateway` - tompay\n* `omnicore.libs.payment_gateways.iyzico.IyzicoFundsTransferGateway` - iyzico_funds_transfer\n* `omnicore.libs.payment_gateways.paycell.PaycellGateway` - paycell\n* `omnicore.libs.payment_gateways.posas_giftcard.PosAsGiftCardGateway` - posas_giftcard\n* `omnicore.libs.payment_gateways.multisafepay.MultiSafepayGateway` - multisafepay\n* `omnicore.libs.payment_gateways.garanti_credit.GarantiCreditGateway` - garanti_credit\n* `omnicore.libs.payment_gateways.multisafepay.MultiSafepayDirectGateway` - multisafepay_direct\n* `omnicore.libs.payment_gateways.ozan.OzanGateway` - ozan\n* `omnicore.libs.payment_gateways.netopia.NetopiaGateway` - netopia\n* `omnicore.libs.payment_gateways.teqpay.TeqPayGateway` - teqpay\n* `omnicore.libs.payment_gateways.payu_pl.PayuPLGateway` - payu_pl\n* `omnicore.libs.payment_gateways.stripe.StripeGateway` - stripe\n* `omnicore.libs.payment_gateways.bulut.BulutGateway` - bulut\n* `omnicore.libs.payment_gateways.fibabank.FibaCreditGateway` - fiba_credit\n* `omnicore.libs.payment_gateways.mobilexpress_hosted.MobilExpressHostedGateway` - mobilexpress_hosted\n* `omnicore.libs.payment_gateways.paymob.PaymobGateway` - paymob\n* `omnicore.libs.payment_gateways.tompay_credit.TompayCreditGateway` - tompay_credit\n* `omnicore.libs.payment_gateways.paytr.PaytrGateway` - paytr\n* `omnicore.libs.payment_gateways.payzee.PayzeeGateway` - payzee\n* `omnicore.libs.payment_gateways.mobilexpress_v8.MobilExpressV8CreditCardGateway` - mobilexpress_v8_cc\n* `omnicore.libs.payment_gateways.ykb_worldpay.YKBWorldPayGateway` - ykb_worldpay\n* `omnicore.libs.payment_gateways.payment_extension.PaymentExtensionClient` - extension\n* `omnicore.libs.payment_gateways.vakifbank.VakifBankGateway` - vakifbank\n* `omnicore.libs.payment_gateways.bulut.BulutDirectGateway` - bulut_direct\n* `omnicore.libs.payment_gateways.eren_card.ErenCardGateway` - eren_card\n* `omnicore.libs.payment_gateways.craftgate.CraftgateGateway` - craftgate\n* `omnicore.libs.payment_gateways.iyzico.IyzicoSavedCardGateway` - iyzico_saved_card\n* `omnicore.libs.payment_gateways.checkout.CheckoutGateway` - checkout\n* `omnicore.libs.payment_gateways.checkout.CheckoutApplePayGateway` - checkout_apple_pay\n* `omnicore.libs.payment_gateways.zip_credit.ZipCreditGateway` - zip_credit\n* `omnicore.libs.payment_gateways.mobilexpress_v8.MobilExpressWireTransferGateway` - mobilexpress_wire_transfer\n* `omnicore.libs.payment_gateways.payu_ro.PayuRoByClickGateway` - payu_ro_paybyclick\n* `omnicore.libs.payment_gateways.payu_ro.PayURoSavedCardGateway` - payu_ro_saved_card\n* `omnicore.libs.payment_gateways.paybyme.PaybymeGateway` - paybyme\n* `omnicore.libs.payment_gateways.sipay.SipayGateway` - sipay\n* `omnicore.libs.payment_gateways.paywall.PaywallGateway` - paywall\n* `omnicore.libs.payment_gateways.dummypay.DummyPSP` - dummy_psp\n* `omnicore.libs.payment_gateways.tap.TapGateway` - tap\n* `omnicore.libs.payment_gateways.tap.QpayTapGateway` - qpay_tap\n* `omnicore.libs.payment_gateways.tap.TapSavedCardGateway` - tap_saved_card\n* `omnicore.libs.payment_gateways.akbank.AkbankGateway` - akbank\n* `omnicore.libs.payment_gateways.hepsipay.HepsipayGateway` - hepsipay\n* `omnicore.libs.payment_gateways.qnb_pay.QNBPayGateway` - qnb_pay\n* `omnicore.libs.payment_gateways.cybersource.CybersourceGateway` - cybersource\n* `omnicore.libs.payment_gateways.cybersource.CybersourceApplepayGateway` - cybersource_applepay\n* `omnicore.libs.payment_gateways.moka.MokaCreditCardGateway` - moka\n* `omnicore.libs.payment_gateways.masterpass.MasterpassRESTGateway` - masterpass_rest\n* `omnicore.libs.payment_gateways.tap.BenefitTapGateway` - benefit_tap\n* `omnicore.libs.payment_gateways.craftgate.CraftgateMasterpassGateway` - craftgate_masterpass\n* `omnicore.libs.payment_gateways.checkout.CheckoutFlowGateway` - checkout_flow\n* `omnicore.libs.payment_gateways.nkolay.NKolayGateway` - nkolay","enum":["omnicore.libs.payment_gateways.garanti.GarantiGateway","omnicore.libs.payment_gateways.nestpay.NestpayGateway","omnicore.libs.payment_gateways.cmi.CMIGateway","omnicore.libs.payment_gateways.posnet.PosnetGateway","omnicore.libs.payment_gateways.payu.PayUGateway","omnicore.libs.payment_gateways.mastercard.MastercardGateway","omnicore.libs.payment_gateways.masterpass.MasterpassGateway","omnicore.libs.payment_gateways.bex.BexGateway","omnicore.libs.payment_gateways.hyper_pay.HyperpayGateway","omnicore.libs.payment_gateways.paymentsos.PayUPolandGateway","omnicore.libs.payment_gateways.paymentsos.PayURomaniaGateway","omnicore.libs.payment_gateways.payu_ro.PayuRoGateway","omnicore.libs.payment_gateways.fastpay.FastPayGateway","omnicore.libs.payment_gateways.maximumpay.MaximumPayGateway","omnicore.libs.payment_gateways.liqpay.LiqPayGateway","omnicore.libs.payment_gateways.gpay.GPayGateway","omnicore.libs.payment_gateways.easypay.EasyPayGateway","omnicore.libs.payment_gateways.mobilexpress.MobilExpressGateway","omnicore.libs.payment_gateways.mobilexpress.MobilExpressCreditCardGateway","omnicore.libs.payment_gateways.iyzico.IyzicoGateway","omnicore.libs.payment_gateways.iyzico.IyzicoBKMGateway","omnicore.libs.payment_gateways.finansbank.FinansBankGateway","omnicore.libs.payment_gateways.denizbank.DenizBankGateway","omnicore.libs.payment_gateways.yandex_money.YandexMoneyGateway","omnicore.libs.payment_gateways.paypal.PaypalGateway","omnicore.libs.payment_gateways.alpha.AlphaGateway","omnicore.libs.payment_gateways.dummypay.DummyPayGateway","omnicore.libs.payment_gateways.ykb_credit.YKBCreditGateway","omnicore.libs.payment_gateways.compay.ComPayGateway","omnicore.libs.payment_gateways.compay.ComPayCreditGateway","omnicore.libs.payment_gateways.param.ParamGateway","omnicore.libs.payment_gateways.garanti_switch.GarantiSwitchGateway","omnicore.libs.payment_gateways.iyzico.PayWithIyzicoGateway","omnicore.libs.payment_gateways.tompay.TomPayGateway","omnicore.libs.payment_gateways.iyzico.IyzicoFundsTransferGateway","omnicore.libs.payment_gateways.paycell.PaycellGateway","omnicore.libs.payment_gateways.posas_giftcard.PosAsGiftCardGateway","omnicore.libs.payment_gateways.multisafepay.MultiSafepayGateway","omnicore.libs.payment_gateways.garanti_credit.GarantiCreditGateway","omnicore.libs.payment_gateways.multisafepay.MultiSafepayDirectGateway","omnicore.libs.payment_gateways.ozan.OzanGateway","omnicore.libs.payment_gateways.netopia.NetopiaGateway","omnicore.libs.payment_gateways.teqpay.TeqPayGateway","omnicore.libs.payment_gateways.payu_pl.PayuPLGateway","omnicore.libs.payment_gateways.stripe.StripeGateway","omnicore.libs.payment_gateways.bulut.BulutGateway","omnicore.libs.payment_gateways.fibabank.FibaCreditGateway","omnicore.libs.payment_gateways.mobilexpress_hosted.MobilExpressHostedGateway","omnicore.libs.payment_gateways.paymob.PaymobGateway","omnicore.libs.payment_gateways.tompay_credit.TompayCreditGateway","omnicore.libs.payment_gateways.paytr.PaytrGateway","omnicore.libs.payment_gateways.payzee.PayzeeGateway","omnicore.libs.payment_gateways.mobilexpress_v8.MobilExpressV8CreditCardGateway","omnicore.libs.payment_gateways.ykb_worldpay.YKBWorldPayGateway","omnicore.libs.payment_gateways.payment_extension.PaymentExtensionClient","omnicore.libs.payment_gateways.vakifbank.VakifBankGateway","omnicore.libs.payment_gateways.bulut.BulutDirectGateway","omnicore.libs.payment_gateways.eren_card.ErenCardGateway","omnicore.libs.payment_gateways.craftgate.CraftgateGateway","omnicore.libs.payment_gateways.iyzico.IyzicoSavedCardGateway","omnicore.libs.payment_gateways.checkout.CheckoutGateway","omnicore.libs.payment_gateways.checkout.CheckoutApplePayGateway","omnicore.libs.payment_gateways.zip_credit.ZipCreditGateway","omnicore.libs.payment_gateways.mobilexpress_v8.MobilExpressWireTransferGateway","omnicore.libs.payment_gateways.payu_ro.PayuRoByClickGateway","omnicore.libs.payment_gateways.payu_ro.PayURoSavedCardGateway","omnicore.libs.payment_gateways.paybyme.PaybymeGateway","omnicore.libs.payment_gateways.sipay.SipayGateway","omnicore.libs.payment_gateways.paywall.PaywallGateway","omnicore.libs.payment_gateways.dummypay.DummyPSP","omnicore.libs.payment_gateways.tap.TapGateway","omnicore.libs.payment_gateways.tap.QpayTapGateway","omnicore.libs.payment_gateways.tap.TapSavedCardGateway","omnicore.libs.payment_gateways.akbank.AkbankGateway","omnicore.libs.payment_gateways.hepsipay.HepsipayGateway","omnicore.libs.payment_gateways.qnb_pay.QNBPayGateway","omnicore.libs.payment_gateways.cybersource.CybersourceGateway","omnicore.libs.payment_gateways.cybersource.CybersourceApplepayGateway","omnicore.libs.payment_gateways.moka.MokaCreditCardGateway","omnicore.libs.payment_gateways.masterpass.MasterpassRESTGateway","omnicore.libs.payment_gateways.tap.BenefitTapGateway","omnicore.libs.payment_gateways.craftgate.CraftgateMasterpassGateway","omnicore.libs.payment_gateways.checkout.CheckoutFlowGateway","omnicore.libs.payment_gateways.nkolay.NKolayGateway"],"type":"string"}}},"paths":{"/payments/pos/":{"get":{"description":"This method returns details about a specific POS option, including its ID, name, slug, associated payment gateway, and resource URL. It may also include a URL for 3D secure processing, if applicable","operationId":"payments_pos_list","parameters":[{"description":"Query parameter `config` used to filter results based on specific conditions.","in":"query","name":"config","schema":{}},{"description":"Query parameter `created_date` used to filter results based on specific conditions.","in":"query","name":"created_date","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `gateway` used to filter results based on specific conditions.","in":"query","name":"gateway","schema":{"type":"string"}},{"description":"Query parameter `id` used to filter results based on specific conditions.","in":"query","name":"id","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than the given value.","in":"query","name":"id__gt","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than or equal to the given value.","in":"query","name":"id__gte","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than the given value.","in":"query","name":"id__lt","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than or equal to the given value.","in":"query","name":"id__lte","schema":{"type":"integer"}},{"description":"Limits the number of results returned in the response.","in":"query","name":"limit","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `modified_date` used to filter results based on specific conditions.","in":"query","name":"modified_date","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than the given value.","in":"query","name":"modified_date__gt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than or equal to the given value.","in":"query","name":"modified_date__gte","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than the given value.","in":"query","name":"modified_date__lt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than or equal to the given value.","in":"query","name":"modified_date__lte","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `name` used to filter results based on specific conditions.","in":"query","name":"name","schema":{"type":"string"}},{"description":"Query parameter `page` used to filter results based on specific conditions.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `resource_url` used to filter results based on specific conditions.","in":"query","name":"resource_url","schema":{"type":"string"}},{"description":"Query parameter `slug` used to filter results based on specific conditions.","in":"query","name":"slug","schema":{"type":"string"}},{"description":"Query parameter `sort` used to filter results based on specific conditions.","in":"query","name":"sort","required":false,"schema":{"type":"string"}},{"description":"Query parameter `three_d_resource_url` used to filter results based on specific conditions.","in":"query","name":"three_d_resource_url","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedPosList"}}},"description":"Successful response for status code 200."}},"tags":["payments"]}}}}
```

## GET /payments/pos/{id}/

> This method returns details about a specific POS option, including its ID, name, slug, associated payment gateway, and resource URL. It may also include a URL for 3D secure processing, if applicable This endpoint retrieves a specific record by its unique identifier.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"Pos":{"properties":{"gateway":{"$ref":"#/components/schemas/GatewayEnum","description":"The field defines which payment gateway the POS will use."},"id":{"description":"Unique identifier for the record.","type":"integer"},"name":{"description":"The full name or label associated with the record.","maxLength":64,"type":"string"},"resource_url":{"description":"The field defines the URL of the resources associated with the POS.","format":"uri","maxLength":200,"type":"string"},"slug":{"description":"The field defines the slug of the shipping option.","maxLength":64,"pattern":"^[-a-zA-Z0-9_]+$","type":"string"},"three_d_resource_url":{"description":"The field defines the URL for the 3D secure resources of the POS.","format":"uri","maxLength":200,"nullable":true,"type":"string"}},"type":"object"},"GatewayEnum":{"description":"* `omnicore.libs.payment_gateways.garanti.GarantiGateway` - garanti\n* `omnicore.libs.payment_gateways.nestpay.NestpayGateway` - nestpay\n* `omnicore.libs.payment_gateways.cmi.CMIGateway` - cmi\n* `omnicore.libs.payment_gateways.posnet.PosnetGateway` - posnet\n* `omnicore.libs.payment_gateways.payu.PayUGateway` - payu\n* `omnicore.libs.payment_gateways.mastercard.MastercardGateway` - mastercard\n* `omnicore.libs.payment_gateways.masterpass.MasterpassGateway` - masterpass\n* `omnicore.libs.payment_gateways.bex.BexGateway` - bex\n* `omnicore.libs.payment_gateways.hyper_pay.HyperpayGateway` - hyperpay\n* `omnicore.libs.payment_gateways.paymentsos.PayUPolandGateway` - payu_poland\n* `omnicore.libs.payment_gateways.paymentsos.PayURomaniaGateway` - payu_romania\n* `omnicore.libs.payment_gateways.payu_ro.PayuRoGateway` - payu_ro\n* `omnicore.libs.payment_gateways.fastpay.FastPayGateway` - fastpay\n* `omnicore.libs.payment_gateways.maximumpay.MaximumPayGateway` - maximumpay\n* `omnicore.libs.payment_gateways.liqpay.LiqPayGateway` - liqpay\n* `omnicore.libs.payment_gateways.gpay.GPayGateway` - gpay\n* `omnicore.libs.payment_gateways.easypay.EasyPayGateway` - easypay\n* `omnicore.libs.payment_gateways.mobilexpress.MobilExpressGateway` - mobilexpress\n* `omnicore.libs.payment_gateways.mobilexpress.MobilExpressCreditCardGateway` - mobilexpress_credit_card\n* `omnicore.libs.payment_gateways.iyzico.IyzicoGateway` - iyzico\n* `omnicore.libs.payment_gateways.iyzico.IyzicoBKMGateway` - iyzico_bkm\n* `omnicore.libs.payment_gateways.finansbank.FinansBankGateway` - finansbank\n* `omnicore.libs.payment_gateways.denizbank.DenizBankGateway` - denizbank\n* `omnicore.libs.payment_gateways.yandex_money.YandexMoneyGateway` - yandex_money\n* `omnicore.libs.payment_gateways.paypal.PaypalGateway` - paypal\n* `omnicore.libs.payment_gateways.alpha.AlphaGateway` - alpha\n* `omnicore.libs.payment_gateways.dummypay.DummyPayGateway` - dummypay\n* `omnicore.libs.payment_gateways.ykb_credit.YKBCreditGateway` - ykb_credit\n* `omnicore.libs.payment_gateways.compay.ComPayGateway` - compay\n* `omnicore.libs.payment_gateways.compay.ComPayCreditGateway` - compay_credit\n* `omnicore.libs.payment_gateways.param.ParamGateway` - param\n* `omnicore.libs.payment_gateways.garanti_switch.GarantiSwitchGateway` - garanti_switch\n* `omnicore.libs.payment_gateways.iyzico.PayWithIyzicoGateway` - pay_with_iyzico\n* `omnicore.libs.payment_gateways.tompay.TomPayGateway` - tompay\n* `omnicore.libs.payment_gateways.iyzico.IyzicoFundsTransferGateway` - iyzico_funds_transfer\n* `omnicore.libs.payment_gateways.paycell.PaycellGateway` - paycell\n* `omnicore.libs.payment_gateways.posas_giftcard.PosAsGiftCardGateway` - posas_giftcard\n* `omnicore.libs.payment_gateways.multisafepay.MultiSafepayGateway` - multisafepay\n* `omnicore.libs.payment_gateways.garanti_credit.GarantiCreditGateway` - garanti_credit\n* `omnicore.libs.payment_gateways.multisafepay.MultiSafepayDirectGateway` - multisafepay_direct\n* `omnicore.libs.payment_gateways.ozan.OzanGateway` - ozan\n* `omnicore.libs.payment_gateways.netopia.NetopiaGateway` - netopia\n* `omnicore.libs.payment_gateways.teqpay.TeqPayGateway` - teqpay\n* `omnicore.libs.payment_gateways.payu_pl.PayuPLGateway` - payu_pl\n* `omnicore.libs.payment_gateways.stripe.StripeGateway` - stripe\n* `omnicore.libs.payment_gateways.bulut.BulutGateway` - bulut\n* `omnicore.libs.payment_gateways.fibabank.FibaCreditGateway` - fiba_credit\n* `omnicore.libs.payment_gateways.mobilexpress_hosted.MobilExpressHostedGateway` - mobilexpress_hosted\n* `omnicore.libs.payment_gateways.paymob.PaymobGateway` - paymob\n* `omnicore.libs.payment_gateways.tompay_credit.TompayCreditGateway` - tompay_credit\n* `omnicore.libs.payment_gateways.paytr.PaytrGateway` - paytr\n* `omnicore.libs.payment_gateways.payzee.PayzeeGateway` - payzee\n* `omnicore.libs.payment_gateways.mobilexpress_v8.MobilExpressV8CreditCardGateway` - mobilexpress_v8_cc\n* `omnicore.libs.payment_gateways.ykb_worldpay.YKBWorldPayGateway` - ykb_worldpay\n* `omnicore.libs.payment_gateways.payment_extension.PaymentExtensionClient` - extension\n* `omnicore.libs.payment_gateways.vakifbank.VakifBankGateway` - vakifbank\n* `omnicore.libs.payment_gateways.bulut.BulutDirectGateway` - bulut_direct\n* `omnicore.libs.payment_gateways.eren_card.ErenCardGateway` - eren_card\n* `omnicore.libs.payment_gateways.craftgate.CraftgateGateway` - craftgate\n* `omnicore.libs.payment_gateways.iyzico.IyzicoSavedCardGateway` - iyzico_saved_card\n* `omnicore.libs.payment_gateways.checkout.CheckoutGateway` - checkout\n* `omnicore.libs.payment_gateways.checkout.CheckoutApplePayGateway` - checkout_apple_pay\n* `omnicore.libs.payment_gateways.zip_credit.ZipCreditGateway` - zip_credit\n* `omnicore.libs.payment_gateways.mobilexpress_v8.MobilExpressWireTransferGateway` - mobilexpress_wire_transfer\n* `omnicore.libs.payment_gateways.payu_ro.PayuRoByClickGateway` - payu_ro_paybyclick\n* `omnicore.libs.payment_gateways.payu_ro.PayURoSavedCardGateway` - payu_ro_saved_card\n* `omnicore.libs.payment_gateways.paybyme.PaybymeGateway` - paybyme\n* `omnicore.libs.payment_gateways.sipay.SipayGateway` - sipay\n* `omnicore.libs.payment_gateways.paywall.PaywallGateway` - paywall\n* `omnicore.libs.payment_gateways.dummypay.DummyPSP` - dummy_psp\n* `omnicore.libs.payment_gateways.tap.TapGateway` - tap\n* `omnicore.libs.payment_gateways.tap.QpayTapGateway` - qpay_tap\n* `omnicore.libs.payment_gateways.tap.TapSavedCardGateway` - tap_saved_card\n* `omnicore.libs.payment_gateways.akbank.AkbankGateway` - akbank\n* `omnicore.libs.payment_gateways.hepsipay.HepsipayGateway` - hepsipay\n* `omnicore.libs.payment_gateways.qnb_pay.QNBPayGateway` - qnb_pay\n* `omnicore.libs.payment_gateways.cybersource.CybersourceGateway` - cybersource\n* `omnicore.libs.payment_gateways.cybersource.CybersourceApplepayGateway` - cybersource_applepay\n* `omnicore.libs.payment_gateways.moka.MokaCreditCardGateway` - moka\n* `omnicore.libs.payment_gateways.masterpass.MasterpassRESTGateway` - masterpass_rest\n* `omnicore.libs.payment_gateways.tap.BenefitTapGateway` - benefit_tap\n* `omnicore.libs.payment_gateways.craftgate.CraftgateMasterpassGateway` - craftgate_masterpass\n* `omnicore.libs.payment_gateways.checkout.CheckoutFlowGateway` - checkout_flow\n* `omnicore.libs.payment_gateways.nkolay.NKolayGateway` - nkolay","enum":["omnicore.libs.payment_gateways.garanti.GarantiGateway","omnicore.libs.payment_gateways.nestpay.NestpayGateway","omnicore.libs.payment_gateways.cmi.CMIGateway","omnicore.libs.payment_gateways.posnet.PosnetGateway","omnicore.libs.payment_gateways.payu.PayUGateway","omnicore.libs.payment_gateways.mastercard.MastercardGateway","omnicore.libs.payment_gateways.masterpass.MasterpassGateway","omnicore.libs.payment_gateways.bex.BexGateway","omnicore.libs.payment_gateways.hyper_pay.HyperpayGateway","omnicore.libs.payment_gateways.paymentsos.PayUPolandGateway","omnicore.libs.payment_gateways.paymentsos.PayURomaniaGateway","omnicore.libs.payment_gateways.payu_ro.PayuRoGateway","omnicore.libs.payment_gateways.fastpay.FastPayGateway","omnicore.libs.payment_gateways.maximumpay.MaximumPayGateway","omnicore.libs.payment_gateways.liqpay.LiqPayGateway","omnicore.libs.payment_gateways.gpay.GPayGateway","omnicore.libs.payment_gateways.easypay.EasyPayGateway","omnicore.libs.payment_gateways.mobilexpress.MobilExpressGateway","omnicore.libs.payment_gateways.mobilexpress.MobilExpressCreditCardGateway","omnicore.libs.payment_gateways.iyzico.IyzicoGateway","omnicore.libs.payment_gateways.iyzico.IyzicoBKMGateway","omnicore.libs.payment_gateways.finansbank.FinansBankGateway","omnicore.libs.payment_gateways.denizbank.DenizBankGateway","omnicore.libs.payment_gateways.yandex_money.YandexMoneyGateway","omnicore.libs.payment_gateways.paypal.PaypalGateway","omnicore.libs.payment_gateways.alpha.AlphaGateway","omnicore.libs.payment_gateways.dummypay.DummyPayGateway","omnicore.libs.payment_gateways.ykb_credit.YKBCreditGateway","omnicore.libs.payment_gateways.compay.ComPayGateway","omnicore.libs.payment_gateways.compay.ComPayCreditGateway","omnicore.libs.payment_gateways.param.ParamGateway","omnicore.libs.payment_gateways.garanti_switch.GarantiSwitchGateway","omnicore.libs.payment_gateways.iyzico.PayWithIyzicoGateway","omnicore.libs.payment_gateways.tompay.TomPayGateway","omnicore.libs.payment_gateways.iyzico.IyzicoFundsTransferGateway","omnicore.libs.payment_gateways.paycell.PaycellGateway","omnicore.libs.payment_gateways.posas_giftcard.PosAsGiftCardGateway","omnicore.libs.payment_gateways.multisafepay.MultiSafepayGateway","omnicore.libs.payment_gateways.garanti_credit.GarantiCreditGateway","omnicore.libs.payment_gateways.multisafepay.MultiSafepayDirectGateway","omnicore.libs.payment_gateways.ozan.OzanGateway","omnicore.libs.payment_gateways.netopia.NetopiaGateway","omnicore.libs.payment_gateways.teqpay.TeqPayGateway","omnicore.libs.payment_gateways.payu_pl.PayuPLGateway","omnicore.libs.payment_gateways.stripe.StripeGateway","omnicore.libs.payment_gateways.bulut.BulutGateway","omnicore.libs.payment_gateways.fibabank.FibaCreditGateway","omnicore.libs.payment_gateways.mobilexpress_hosted.MobilExpressHostedGateway","omnicore.libs.payment_gateways.paymob.PaymobGateway","omnicore.libs.payment_gateways.tompay_credit.TompayCreditGateway","omnicore.libs.payment_gateways.paytr.PaytrGateway","omnicore.libs.payment_gateways.payzee.PayzeeGateway","omnicore.libs.payment_gateways.mobilexpress_v8.MobilExpressV8CreditCardGateway","omnicore.libs.payment_gateways.ykb_worldpay.YKBWorldPayGateway","omnicore.libs.payment_gateways.payment_extension.PaymentExtensionClient","omnicore.libs.payment_gateways.vakifbank.VakifBankGateway","omnicore.libs.payment_gateways.bulut.BulutDirectGateway","omnicore.libs.payment_gateways.eren_card.ErenCardGateway","omnicore.libs.payment_gateways.craftgate.CraftgateGateway","omnicore.libs.payment_gateways.iyzico.IyzicoSavedCardGateway","omnicore.libs.payment_gateways.checkout.CheckoutGateway","omnicore.libs.payment_gateways.checkout.CheckoutApplePayGateway","omnicore.libs.payment_gateways.zip_credit.ZipCreditGateway","omnicore.libs.payment_gateways.mobilexpress_v8.MobilExpressWireTransferGateway","omnicore.libs.payment_gateways.payu_ro.PayuRoByClickGateway","omnicore.libs.payment_gateways.payu_ro.PayURoSavedCardGateway","omnicore.libs.payment_gateways.paybyme.PaybymeGateway","omnicore.libs.payment_gateways.sipay.SipayGateway","omnicore.libs.payment_gateways.paywall.PaywallGateway","omnicore.libs.payment_gateways.dummypay.DummyPSP","omnicore.libs.payment_gateways.tap.TapGateway","omnicore.libs.payment_gateways.tap.QpayTapGateway","omnicore.libs.payment_gateways.tap.TapSavedCardGateway","omnicore.libs.payment_gateways.akbank.AkbankGateway","omnicore.libs.payment_gateways.hepsipay.HepsipayGateway","omnicore.libs.payment_gateways.qnb_pay.QNBPayGateway","omnicore.libs.payment_gateways.cybersource.CybersourceGateway","omnicore.libs.payment_gateways.cybersource.CybersourceApplepayGateway","omnicore.libs.payment_gateways.moka.MokaCreditCardGateway","omnicore.libs.payment_gateways.masterpass.MasterpassRESTGateway","omnicore.libs.payment_gateways.tap.BenefitTapGateway","omnicore.libs.payment_gateways.craftgate.CraftgateMasterpassGateway","omnicore.libs.payment_gateways.checkout.CheckoutFlowGateway","omnicore.libs.payment_gateways.nkolay.NKolayGateway"],"type":"string"}}},"paths":{"/payments/pos/{id}/":{"get":{"description":"This method returns details about a specific POS option, including its ID, name, slug, associated payment gateway, and resource URL. It may also include a URL for 3D secure processing, if applicable This endpoint retrieves a specific record by its unique identifier.","operationId":"payments_pos_retrieve","parameters":[{"description":"A unique integer value identifying this pos.","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pos"}}},"description":"Successful response for status code 200."},"404":{"content":{"application/json":{}},"description":"Object not found."}},"tags":["payments"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.akinon.com/commerce-openapis/data-warehouse/payments.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
